# ApplicationFramework
PTKernel
PColStd

# PColStd_SeqExplorerOfHSequenceOfPersistent Class Reference

`#include <PColStd_SeqExplorerOfHSequenceOfPersistent.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_SeqExplorerOfHSequenceOfPersistent (const Handle(PColStd_HSequenceOfPersistent)&S)
Standard_EXPORT Handle_Standard_Persistent | Value (const Standard_Integer Index)
Standard_EXPORT Standard_Boolean | Contains (const Handle(Standard_Persistent)&T)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Handle(Standard_Persistent)&T, const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Handle(Standard_Persistent)&T)

## Private Attributes

Handle_PColStd_SeqNodeOfHSequenceOfPersistent | CurrentItem
Standard_Integer | CurrentIndex
Handle_PColStd_HSequenceOfPersistent | TheSequence

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_SeqExplorerOfHSequenceOfPersistent::PColStd_SeqExplorerOfHSequenceOfPersistent | ( | const Handle(PColStd_HSequenceOfPersistent)& | S | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean PColStd_SeqExplorerOfHSequenceOfPersistent::Contains | ( | const Handle(Standard_Persistent)& | T | ) |

Standard_EXPORT Standard_Integer PColStd_SeqExplorerOfHSequenceOfPersistent::Location | ( | const Standard_Integer | N,
|  | const Handle(Standard_Persistent)& | T
| ) |

Standard_EXPORT Standard_Integer PColStd_SeqExplorerOfHSequenceOfPersistent::Location | ( | const Standard_Integer | N,
|  | const Handle(Standard_Persistent)& | T,
|  | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

void PColStd_SeqExplorerOfHSequenceOfPersistent::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColStd_SeqExplorerOfHSequenceOfPersistent::operator new | ( | size_t | size | ) | `[inline]`

void* PColStd_SeqExplorerOfHSequenceOfPersistent::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_Standard_Persistent PColStd_SeqExplorerOfHSequenceOfPersistent::Value | ( | const Standard_Integer | Index | ) |

## Field Documentation

Standard_Integer PColStd_SeqExplorerOfHSequenceOfPersistent::CurrentIndex`[private]`

Handle_PColStd_SeqNodeOfHSequenceOfPersistent PColStd_SeqExplorerOfHSequenceOfPersistent::CurrentItem`[private]`

Handle_PColStd_HSequenceOfPersistent PColStd_SeqExplorerOfHSequenceOfPersistent::TheSequence`[private]`

The documentation for this class was generated from the following file:

- PColStd_SeqExplorerOfHSequenceOfPersistent.hxx